using KssSmaPlaLib.Ini;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ReiaSanTool.Dto
{
    public class IniAll
    {
        // これがPropertyGridに表示される項目になります
        [Category("System")]
        [DisplayName("ユーザー名")]
        public string UserName { get; set; } = "Admin";

        // --- ロード ---
        public void Load()
        {
            // [System] セクションの UserName キーを読む
            this.UserName = IniHelper.ReadValue(null, "System", "UserName", "DefaultUser");
        }

        // --- セーブ ---
        public void Save()
        {
            // [System] セクションに UserName の値を書き込む
            IniHelper.WriteValue(null, "System", "UserName", this.UserName);
        }
    }
}
